Skip to main content
PUT
/
customers
Update customer
curl --request PUT \
  --url https://us.api.flexprice.io/v1/customers \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "address_city": "<string>",
  "address_country": "<string>",
  "address_line1": "<string>",
  "address_line2": "<string>",
  "address_postal_code": "<string>",
  "address_state": "<string>",
  "email": "<string>",
  "external_id": "<string>",
  "integration_entity_mapping": [
    {
      "entity_id": "<string>",
      "entity_type": "customer",
      "provider_entity_id": "<string>",
      "provider_type": "<string>",
      "metadata": {}
    }
  ],
  "metadata": {},
  "name": "<string>"
}
'
{
  "address_city": "<string>",
  "address_country": "<string>",
  "address_line1": "<string>",
  "address_line2": "<string>",
  "address_postal_code": "<string>",
  "address_state": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "email": "<string>",
  "environment_id": "<string>",
  "external_id": "<string>",
  "id": "<string>",
  "integrations": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "entity_id": "<string>",
      "entity_type": "customer",
      "environment_id": "<string>",
      "id": "<string>",
      "provider_entity_id": "<string>",
      "provider_type": "<string>",
      "status": "published",
      "tenant_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "updated_by": "<string>"
    }
  ],
  "metadata": {},
  "name": "<string>",
  "status": "published",
  "tenant_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": "<string>"
}

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Query Parameters

id
string

Customer ID

external_customer_id
string

Customer External ID

Body

application/json

Customer

Request object for updating an existing customer. All fields are optional - only provided fields will be updated

address_city
string

address_city is the updated city name with maximum 100 characters

Maximum string length: 100
address_country
string

address_country is the updated two-letter ISO 3166-1 alpha-2 country code

address_line1
string

address_line1 is the updated primary address line with maximum 255 characters

Maximum string length: 255
address_line2
string

address_line2 is the updated secondary address line with maximum 255 characters

Maximum string length: 255
address_postal_code
string

address_postal_code is the updated postal code with maximum 20 characters

Maximum string length: 20
address_state
string

address_state is the updated state, province, or region name with maximum 100 characters

Maximum string length: 100
email
string

email is the updated email address and must be a valid email format if provided

external_id
string

external_id is the updated external identifier for the customer

integration_entity_mapping
object[]

integration_entity_mapping contains provider integration mappings for this customer

metadata
object

metadata contains updated key-value pairs that will replace existing metadata

name
string

name is the updated name or company name for the customer

Response

OK

Customer response object containing all customer information

address_city
string

AddressCity is the city of the customer's address

address_country
string

AddressCountry is the country of the customer's address (ISO 3166-1 alpha-2)

address_line1
string

AddressLine1 is the first line of the customer's address

address_line2
string

AddressLine2 is the second line of the customer's address

address_postal_code
string

AddressPostalCode is the postal code of the customer's address

address_state
string

AddressState is the state of the customer's address

created_at
string<date-time>
created_by
string
email
string

Email is the email of the customer

environment_id
string

EnvironmentID is the environment identifier for the customer

external_id
string

ExternalID is the external identifier for the customer

id
string

ID is the unique identifier for the customer

integrations
object[]
metadata
object

Metadata

name
string

Name is the name of the customer

status
enum<string>
Available options:
published,
deleted,
archived
tenant_id
string
updated_at
string<date-time>
updated_by
string